@charset "UTF-8";

/* ウェブフォントの読み込み */
@import url('https://fonts.googleapis.com/css2?family=Kaisei+Decol&family=M+PLUS+1&display=swap');

/* 全体に適用する */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'M PLUS 1', sans-serif;
    font-weight: normal;
}

/* 共通 */
:root {
    --dark-color: #001e43;
    --light-color: #fff;
    --color: #777;
    --ja-font: 'Kaisei Decol', serif;
}

/* 基本設定 */
body {
    background: var(--dark-color);
    line-height: 1.7;
    letter-spacing: 0.1em;
    text-align: center;
    font-size: 13px;
    color: var(--light-color);
}

/* リンク */
a {
    text-decoration: none;
    color: var(--light-color);
}

/* ヘッダー */
header {
    position: relative;
    height: 360px;
    overflow: hidden;
}

/* 線 */
header div {
    position: absolute;
    width: 1px;
    transform: rotate(-20deg);
    transform-origin: top;
    background-color: var(--light-color);
}

header div:nth-of-type(1) {
    left: -5%;
    height: 300px;
}

header div:nth-of-type(2) {
    left: 0%;
    height: 180px;
}

header div:nth-of-type(3) {
    left: 5%;
    height: 220px;
}

header div:nth-of-type(4) {
    left: 10%;
    height: 350px;
}

header div:nth-of-type(5) {
    left: 15%;
    height: 100px;
}

header div:nth-of-type(6) {
    left: 20%;
    height: 170px;
}

header div:nth-of-type(7) {
    left: 25%;
    height: 280px;
}

header div:nth-of-type(8) {
    left: 30%;
    height: 360px;
}

header div:nth-of-type(9) {
    left: 35%;
    height: 260px;
}

header div:nth-of-type(10) {
    left: 40%;
    height: 350px;
}

header div:nth-of-type(11) {
    left: 45%;
    height: 100px;
}

header div:nth-of-type(12) {
    left: 50%;
    height: 230px;
}

header div:nth-of-type(13) {
    left: 55%;
    height: 290px;
}

header div:nth-of-type(14) {
    left: 60%;
    height: 130px;
}

header div:nth-of-type(15) {
    left: 65%;
    height: 300px;
}

header div:nth-of-type(16) {
    left: 70%;
    height: 300px;
}

header div:nth-of-type(17) {
    left: 75%;
    height: 180px;
}

header div:nth-of-type(18) {
    left: 80%;
    height: 220px;
}

header div:nth-of-type(19) {
    left: 85%;
    height: 350px;
}

header div:nth-of-type(20) {
    left: 90%;
    height: 100px;
}

header div:nth-of-type(21) {
    left: 95%;
    height: 200px;
}

/* 大見出し */
h1 {
    margin: 1em auto;
    letter-spacing: 0.35em;
    font-size: 1.2em;
}

h1 span {
    position: relative;
    font-family: var(--ja-font);
}

h1 span:nth-of-type(even) {
    top: 0.2em;
}

/* セクションとアーティクル */
section,
article {
    text-align: justify;
    word-break: break-all;
    line-break: strict;
}

/* セクション */
section {
    margin: 2em auto;
    padding-left: 1em;
    width: 70%;
    border-left: 1px solid var(--light-color);
}

/* リスト */
dt {
    position: relative;
}

dt::before {
    position: absolute;
    display: block;
    content: '';
    top: 50%;
    left: -17.5px;
    transform: translateY(-50%);
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: var(--light-color);
}

dd {
    margin-bottom: 1em;
    font-size: 13px;
    color: var(--color);
}

/* アーティクル */
article {
    margin: 0 auto;
    padding: 3em;
    width: 85%;
    max-width: 600px;
    background-color: var(--light-color);
    color: var(--dark-color);
}

/* アーティクル見出し */
article h1 {
    margin: 0 auto;
    margin-bottom: 1em;
    width: 200px;
    border-bottom: thin solid var(--dark-color);
    text-align: center;
    font-family: var(--ja-font);
}

/* メニュー */
.menu {
    text-align: center;
    margin: 1em auto 0;
}

.menu li {
    display: inline-block;
    margin: 0 0.5em;
}

.menu li a {
    font-weight: bold;
    color: var(--dark-color);
}

/* フォーム系 */
textarea,
input[type] {
    -webkit-appearance: none;
    padding: 0.5em;
    background: var(--light-color);
    border: none;
    border-radius: 10px;
    text-align: center;
    font-size: 11px;
    color: var(--dark-color);
}

textarea {
    width: 200px;
    height: 70px;
}

input[type=text] {
    width: 80px;
}

input[type=submit] {
    width: auto;
}

/* 横幅768px以上で読み込む */
@media screen and (min-width:768px) {
    body {
        font-size: 14px;
    }

    dt::before {
        left: -18px;
    }

    main {
        margin: 3em auto;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        max-width: 800px;
    }

    section {
        flex-basis: 50%;
        padding-right: 1em;
    }

    section:last-of-type {
        margin-left: 0;
    }
}

/* 横幅1024px以上で読み込む */
@media screen and (min-width:1024px) {
    body {
        font-size: 15px;
    }

    dt::before {
        left: -19px;
    }

}

/* 横幅1440px以上で読み込む */
@media screen and (min-width:1440px) {
    body {
        font-size: 16px;
    }

    dt::before {
        left: -20px;
    }

    main {
        max-width: 1200px;
    }

    section {
        flex-basis: 33%;
    }
}